Bug 56440 - up2date UI does not reset progress count when downloading associated source RPM
Summary: up2date UI does not reset progress count when downloading associated source RPM
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 4.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-18 14:48 UTC by Ray Price
Modified: 2015-01-07 23:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-29 22:58:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ray Price 2001-11-18 14:48:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
When up2date starts downloading the assoicated source RPM for a package it
does not reset its amount downloaded count thus redndering the progress
indicators useless.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select to download source RPm's for updated packages
2. Update any package.
3. When it starts to download the source RPM the progress indicators will
be wrong.
	

Additional info:

I think reseting the 'count' in up2date.py file might help ;-)

def getPackage(pkg, msgCallback = None, progressCallback = None):
....
    if cfg.readEntry("retrieveSource"):
        count = 0;             # I added this to fix it.
        s = getServer()

Comment 1 Adrian Likins 2002-05-08 23:26:06 UTC
This should be fixed in all current versions of the client.


Note You need to log in before you can comment on or make changes to this bug.